summaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* gnome-base/gnome-control-center: x86 stable wrt bug #702260Mikle Kolyada3 days1-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="x86" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* gnome-base/gnome-control-center: amd64 stable wrt bug #702260Mikle Kolyada3 days1-1/+1
| | | | | | Package-Manager: Portage-2.3.79, Repoman-2.3.16 RepoMan-Options: --include-arches="amd64" Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
* gnome-base/gnome-control-center: arm64 keyworded (bug #692802)Aaron Bauman3 days1-1/+1
| | | | | Signed-off-by: Aaron Bauman <bman@gentoo.org> Package-Manager: Portage-2.3.81, Repoman-2.3.20
* gnome-base/gnome-control-center: keyworded 3.32.2 for ppc/ppc64, bug #692802Sergei Trofimovich10 days1-1/+1
| | | | | | | Tested-by: ernsteiswuerfel Package-Manager: Portage-2.3.80, Repoman-2.3.19 RepoMan-Options: --include-arches="ppc ppc64" Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>
* */*: Replace virtual/libgudev with dev-libs/libgudevMichał Górny2019-10-262-2/+2
| | | | | | | | Replace all virtual/libgudev deps. Without revbumps, since the removal is not urgent and we can wait some for bumps to happen. Bug: https://bugs.gentoo.org/697100 Signed-off-by: Michał Górny <mgorny@gentoo.org>
* gnome-base: Remove *-fbsd KEYWORDSMichał Górny2019-10-111-1/+1
| | | | Signed-off-by: Michał Górny <mgorny@gentoo.org>
* gnome-base/gnome-control-center: bump to 3.32.2Mart Raudsepp2019-09-202-0/+157
| | | | | Package-Manager: Portage-2.3.69, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: arm64 keywordedAaron Bauman2019-08-031-1/+1
| | | | | Signed-off-by: Aaron Bauman <bman@gentoo.org> Package-Manager: Portage-2.3.70, Repoman-2.3.16
* gnome-base/gnome-control-center: remove oldMart Raudsepp2019-05-183-159/+0
| | | | | Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: fix upower dependencyMart Raudsepp2019-05-101-1/+1
| | | | | | | | | upower 0.99.6 is required, so express it, even if no such old version is available anymore. Closes: https://bugs.gentoo.org/685472 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: x86 stable wrt bug #685254Mikle Kolyada2019-05-101-1/+1
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="x86"
* gnome-base/gnome-control-center: amd64 stable wrt bug #685254Mikle Kolyada2019-05-081-1/+1
| | | | | | Signed-off-by: Mikle Kolyada <zlogene@gentoo.org> Package-Manager: Portage-2.3.62, Repoman-2.3.11 RepoMan-Options: --include-arches="amd64"
* gnome-base/gnome-control-center: remove oldMart Raudsepp2019-03-308-844/+0
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: add elogind supportMart Raudsepp2019-03-231-0/+160
| | | | | | | | | | | | | | | | | | The power panel uses logind to check for suspend and hibernate support. The color panel uses logind to disallow lid switch and inhibit idle during calibration runs. This revbump was accidentally not committed before. Should be the last to enable "emerge gnome" to really work now on openrc with elogind. Consolekit option is removed, as the codebase actually doesn't have any support for it whatsoever. openrc-settings dep remains for the non-systemd path, as these services are used as well. Closes: https://bugs.gentoo.org/681328 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center-3.30: fix build with USE=-cupsMart Raudsepp2019-03-142-0/+30
| | | | | | Fixes: https://bugs.gentoo.org/680354 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: bump to 3.30.3Mart Raudsepp2019-03-142-0/+153
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: bump to 3.28.2Mart Raudsepp2019-03-043-6/+155
| | | | | | | | | | | | | | | | colord is no longer partially optional, because it is needed by display panel for night light anyways, so didn't bother with making the color profile management panel optional either. It does mean an unconditional colord-gtk and gnome-color-manager dep, but so be it - if colord and core code pulled in via gnome-settings-daemon[colord] already, might as well make full use of it always. Instead grilo is now separately optional from gnome-online-accounts, as this is about background images from flickr, which needs separate extra runtime deps too. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: remove bogus g-s-d[policykit] depMart Raudsepp2019-03-043-6/+3
| | | | | | | | gnome-settings-daemon polkit usage hasn't been optional for a long time and the IUSE on it did absolutely nothing. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: fix runtime crash on wayland from build fixMart Raudsepp2019-02-283-6/+23
| | | | | | | | | | | | | | | Unfortunately we will need to lock USE=wayland between gtk+ and here for now. If gtk+ supports wayland, it will run gnome-control-center with native wayland, and when g-c-c doesn't have the code to match, it'll try to iterate devices with X11 methods, which will crash just like it did on full wayland (USE=wayland on both) before the fix in this commit. One option could be to restrict gdk allowed backends to not include wayland if wayland support isn't included, but that's something to tackle on top of 3.32 in the future. Closes: https://bugs.gentoo.org/679042 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: fix non-wayland build against gtk+[wayland]Mart Raudsepp2019-02-243-0/+32
| | | | | | Closes: https://bugs.gentoo.org/674684 Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center-3.26: add revision compatible with newer ↵Mart Raudsepp2019-02-233-0/+332
| | | | | | | | | | | | | | gnome-desktop Bumping g-c-c to 3.28 will take a bit longer, so add backported patch for gnome-desktop-3.28+ compatibility to be able to unleash that set of packages earlier. Also adds an extra patch from upstream 3.26 branch related to GOA object lifetimes handling, which should fix some potential control panel crashes. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: restrict gnome-desktop dependencyMart Raudsepp2019-02-232-2/+6
| | | | | | | | | Old versions don't work with newer gnome-desktop due to gnome-desktop porting away from GdkColor to GdkRGBA and changing API for it. Restrict maximum dep to reflect that to minimize problems. Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Mart Raudsepp <leio@gentoo.org>
* gnome-base/gnome-control-center: bump to 3.26.2Mart Raudsepp2018-09-282-0/+159
| | | | | | | | Also includes many fixes and updates from upstream unreleased 3.26 branch and our optionality patches. Signed-off-by: Mart Raudsepp <leio@gentoo.org> Package-Manager: Portage-2.3.49, Repoman-2.3.11
* gnome-base/*: Update dependencies (x11-proto/* -> x11-base/xorg-proto).Arfrever Frehtes Taifersar Arahesis2018-05-111-3/+1
|
* gnome-base/gnome-control-center: remove oldMart Raudsepp2018-04-292-168/+0
| | | | Package-Manager: Portage-2.3.28, Repoman-2.3.9
* gnome-base/gnome-control-center: amd64 stableAaron Bauman2018-04-261-1/+1
| | | | | Bug: https://bugs.gentoo.org/652976 Package-Manager: Portage-2.3.31, Repoman-2.3.9
* gnome-base/gnome-control-center: x86 stable (bug #652976)Thomas Deutschmann2018-04-261-1/+1
| | | | Package-Manager: Portage-2.3.31, Repoman-2.3.9
* gnome-base/gnome-control-center: bump to 3.24.4, adapt patchsetMart Raudsepp2018-04-132-0/+159
| | | | | | | | | | | | | | Also remove QA_CONFIGURE_OPTIONS=".*", as I can't see any nested configure in current versions. Upstream fixed udev without gtk-wayland differently, by not building the sources at all without wayland, as it's only used for wayland specific code. As such, instead of needing a patch to the udev source file that adds GDK_WINDOWING_WAYLAND, we instead simply need to adapt the wayland optionality patch to set the added HAVE_WAYLAND AM_CONDITIONAL as appropriate. Package-Manager: Portage-2.3.28, Repoman-2.3.9
* gnome-base/gnome-control-center: Dekeyword ~arm64 due to depsMichał Górny2018-03-031-1/+1
|
* gnome-base/gnome-control-center: remove oldMart Raudsepp2018-02-033-333/+0
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* gnome-base/gnome-control-center: x86 stable (bug #631656)Thomas Deutschmann2018-01-271-1/+1
| | | | Package-Manager: Portage-2.3.20, Repoman-2.3.6
* gnome-base/gnome-control-center: amd64 stable wrt bug #631656Mikle Kolyada2018-01-181-1/+1
| | | | Package-Manager: Portage-2.3.19, Repoman-2.3.6
* gnome-base/gnome-control-center: guarantee a working Night Light functionalityMart Raudsepp2018-01-081-4/+4
| | | | | | | | | | | | Night Light isn't behind USE=colord (not optional), but requires gnome-settings-daemon[colord], so unconditionally depend on that. Raise cups dep to 1.7 while here, as it uses an enum constant introduced there and we don't backport the fix for that from gnome-3-24 branch. No practical difference, as there is no such old version in-tree anymore. Closes: https://bugs.gentoo.org/619298 Package-Manager: Portage-2.3.19, Repoman-2.3.6
* gnome-base/gnome-control-center: [QA] Move patches to distfilesMichał Górny2017-12-0817-1951/+27
| | | | Closes: https://bugs.gentoo.org/620576
* gnome-base/gnome-control-center: version bump 3.24.2 → 3.24.3Gilles Dartiguelongue2017-08-152-0/+166
| | | | Package-Manager: Portage-2.3.7, Repoman-2.3.3
* gnome-base/gnome-control-center: keyword ~arm64Alexis Ballier2017-07-251-1/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* gnome-base/gnome-control-center: keyword ~arm64Alexis Ballier2017-07-251-1/+1
| | | | Package-Manager: Portage-2.3.6, Repoman-2.3.3
* gnome-base/gnome-control-center: Fix compilation with USE=-wayland without ↵Mart Raudsepp2017-07-152-0/+49
| | | | | | | gtk+[wayland] Gentoo-bug: 624960 Package-Manager: Portage-2.3.5, Repoman-2.3.2
* gnome-base/gnome-control-center: bump to 3.24.2, make cups/smbclient ↵Mart Raudsepp2017-07-147-38/+285
| | | | | | optional, add back lost cups runtime deps Package-Manager: Portage-2.3.5, Repoman-2.3.2
* gnome-base/gnome-control-center: remove description for now unused i18n USE flagMart Raudsepp2017-04-021-2/+0
| | | | Got renamed to ibus and the old cleaned out
* gnome-base/gnome-control-center: remove oldMart Raudsepp2017-04-027-980/+0
| | | | Package-Manager: Portage-2.3.5, Repoman-2.3.1
* gnome-base/gnome-control-center: x86 stable wrt bug #611134Agostino Sarubbo2017-04-011-1/+1
| | | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="x86" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* gnome-base/gnome-control-center: amd64 stable wrt bug #611134Agostino Sarubbo2017-04-011-1/+1
| | | | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1 RepoMan-Options: --include-arches="amd64" Signed-off-by: Agostino Sarubbo <ago@gentoo.org>
* gnome-base/gnome-control-center: add explanatory comments about ↵Mart Raudsepp2017-03-232-0/+6
| | | | | | system-config-printer and cups-pk-helper rdeps Package-Manager: Portage-2.3.4, Repoman-2.3.1
* gnome-base/gnome-control-center: remove oldMart Raudsepp2017-03-193-321/+0
| | | | Package-Manager: Portage-2.3.4, Repoman-2.3.1
* gnome-base/gnome-control-center-3.23: sync with changes done to 3.22Mart Raudsepp2017-03-191-12/+9
| | | | Package-Manager: Portage-2.3.4, Repoman-2.3.1
* gnome-base/gnome-control-center: fix build with USE=-wayland, always pull in ↵Mart Raudsepp2017-03-193-0/+227
| | | | | | | keyboard layout display tool Gentoo-bug: 539290 Gentoo-bug: 613192
* gnome-base/gnome-control-center: rename USE=i18n to USE=ibusMart Raudsepp2017-03-183-8/+10
| | | | | USE=ibus local USE flag has become more prevalent by now, so move over to it now as well.
* gnome-base/gnome-control-center: bump to 3.22.2Mart Raudsepp2017-03-182-0/+161
| | | | Package-Manager: Portage-2.3.4, Repoman-2.3.1
* gnome-base/gnome-control-center-3.23.91: fix gnome-settings-daemon depMart Raudsepp2017-03-081-1/+1
| | | | Package-Manager: Portage-2.3.3, Repoman-2.3.1